package com.zj365.mime.adapter

import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.xty.base.adapter.BaseAdapter
import com.zj365.mime.R
import com.yucheng.ycbtsdk.bean.ScanDeviceBean

class DebugDevAdapter(var macAddress:String=""):BaseAdapter<ScanDeviceBean>(R.layout.item_debug_dev) {
    override fun convert(holder: BaseViewHolder, item: ScanDeviceBean) {
//        holder.layoutPosition
        holder.setText(R.id.mName,item.deviceName)
            .setTextColorRes(R.id.mName,if(macAddress==item.deviceMac)R.color.col_009 else R.color.col_455 )


    }
}